javax.annotation.processing

## Annotation Type SupportedAnnotationTypes

-     @Documented
       @Target(value=TYPE)
       @Retention(value=RUNTIME)
      public @interface SupportedAnnotationTypes

  An annotation used to indicate what annotation types an annotation processor supports. The `Processor.getSupportedAnnotationTypes()` method can construct its result from the value of this annotation, as done by `AbstractProcessor.getSupportedAnnotationTypes()`. Only strings conforming to the grammar should be used as values.
  Since:
    1.6

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `String[]` | `value` Returns the names of the supported annotation types.

- - ### Element Detail

    - #### value

          public abstract String[] value

      Returns the names of the supported annotation types.
      Returns:
        the names of the supported annotation types

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.